import axios from "@/utils/axios";
export default {
  /**
   * 诉讼历史
   * 新增或编辑诉讼历史
   * @param {*} data 
   * @returns 
   */
  addLitigationHistory(data) {
    return axios.post("/xiaoshi/litigationHistory/saveOrUpdate", data);
  },
  /**
   * 诉讼历史
   * 删除诉讼历史
   * @param {*} data 
   * @returns 
   */
  deleteLitigationHistory(data) {
    return axios.post("/xiaoshi/litigationHistory/delete", data);
  },
  /**
   * 诉讼历史
   * 查询诉讼历史
   * @param {*} data 
   * @returns 
   */
  queryLitigationHistory(data) {
    return axios.post("/xiaoshi/litigationHistory/query", data);
  },

  /**
   * 审查历史
   * 新增或编辑审查历史
   * @param {*} data 
   * @returns 
   */
  addReviewHistory(data) {
    return axios.post("/xiaoshi/reviewHistory/saveOrUpdate", data);
  },
  /**
   * 审查历史
   * 删除审查历史
   * @param {*} data 
   * @returns 
   */
  deleteReviewHistory(data) {
    return axios.post("/xiaoshi/reviewHistory/delete", data);
  },
  /**
   * 审查历史
   * 查询审查历史
   * @param {*} data 
   * @returns 
   */
  queryReviewHistory(data) {
    return axios.post("/xiaoshi/reviewHistory/query", data);
  },


  /**
   * 其他参考资料
   * 新增或编辑其他参考资料
   * @param {*} data 
   * @returns 
   */
  addOtherReferences(data) {
    return axios.post("/xiaoshi/otherReferences/saveOrUpdate", data);
  },
  /**
   * 其他参考资料
   * 删除其他参考资料
   * @param {*} data 
   * @returns 
   */
  deleteOtherReferences(data) {
    return axios.post("/xiaoshi/otherReferences/delete", data);
  },
  /**
   * 其他参考资料
   * 查询其他参考资料
   * @param {*} data 
   * @returns 
   */
  queryOtherReferences(data) {
    return axios.post("/xiaoshi/otherReferences/query", data);
  },

  /**
   * 许可历史
   * 新增或编辑许可历史
   * @param {*} data 
   * @returns 
   */
  addPermissionRecord(data) {
    return axios.post("/xiaoshi/permissionRecord/saveOrUpdate", data);
  },
  /**
   * 许可历史
   * 删除许可历史
   * @param {*} data 
   * @returns 
   */
  deletePermissionRecord(data) {
    return axios.post("/xiaoshi/permissionRecord/delete", data);
  },
  /**
   * 许可历史
   * 查询许可历史
   * @param {*} data 
   * @returns 
   */
  queryPermissionRecord(data) {
    return axios.post("/xiaoshi/permissionRecord/query", data);
  },


  /**
   * 被无效历史
   * 新增或编辑被无效历史
   * @param {*} data 
   * @returns 
   */
  addInvalidRecord(data) {
    return axios.post("/xiaoshi/invalidRecord/saveOrUpdate", data);
  },
  /**
   * 被无效历史
   * 删除被无效历史
   * @param {*} data 
   * @returns 
   */
  deleteInvalidRecord(data) {
    return axios.post("/xiaoshi/invalidRecord/delete", data);
  },
  /**
   * 被无效历史
   * 查询被无效历史
   * @param {*} data 
   * @returns 
   */
  queryInvalidRecord(data) {
    return axios.post("/xiaoshi/invalidRecord/query", data);
  },


  /**
   * 作为无效证据使用历史
   * 新增或编辑作为无效证据使用历史
   * @param {*} data 
   * @returns 
   */
  addAsInvalidReasonHistory(data) {
    return axios.post("/xiaoshi/asInvalidReasonHistory/saveOrUpdate", data);
  },
  /**
   * 作为无效证据使用历史
   * 删除作为无效证据使用历史
   * @param {*} data 
   * @returns 
   */
  deleteAsInvalidReasonHistory(data) {
    return axios.post("/xiaoshi/asInvalidReasonHistory/delete", data);
  },
  /**
   * 作为无效证据使用历史
   * 查询作为无效证据使用历史
   * @param {*} data 
   * @returns 
   */
  queryAsInvalidReasonHistory(data) {
    return axios.post("/xiaoshi/asInvalidReasonHistory/query", data);
  },


  /**
   * 价值曲线
   * @param {*} data 
   * @returns 
   */
  selectValueCurve(data) {
    return axios.post("/xiaoshi/patent/selectValueCurve", data);
  },
}